Subject: Re: [RESEND PATCH 0/4] ppc64 LE ABI v2 ftrace-with-regs implementation

From: Steven Rostedt <[email-masked]>
Date: Fri, 19 Jun 2015 08:41:49 -0400

On Fri, 19 Jun 2015 14:17:03 +0200
Torsten Duwe <[email-masked]> wrote:

> On Fri, Jun 19, 2015 at 10:15:44AM +0300, Denis Kirjanov wrote:
> > 
> > Hi Torsten,
> > 
> > could you provide a description how you did test that.
> 
> Vanilla kernel, those patches on top, built as described to
> Steven in the previous mail (.config attached there, built
> natively on ppc64le ABIv2, mentioned tool versions)
> 

Great that you got it working on your machine. But you need to do it in
a way that you don't break builds of existing machines, with existing
(still supported) compilers.

-- Steve

> make vmlinux, make modules, build initrd
> qemu-system-ppc64 -no-reboot -enable-kvm -m 20480 -kernel vmlinux
>   -initrd initrd.gz -append console=hvc0 -nographic -vga none
> inside:
> cd /sys/kernel/debug/tracing
> mkdir instances/Foo
> cd instances/Foo
> echo function > current_tracer
> 
> current_tracer holds "nop" or "function"; the transition is accompanied 
> by heavy binary patching. When the function tracer is active, almost all
> calls go through ftrace_caller. This should be enough for a start; the
> proper stack frame layout details for the tracer functions still remain
> to be checked...
> 
> 	Torsten